### Enumeration

# Gio BusType

since: 2.26

#### Declaration

    enum Gio.BusType

#### Description [src]

An enumeration for well-known message buses.

Available since: 2.26

#### Members

Name | Description
--- | ---
`G_BUS_TYPE_STARTER` | An alias for the message bus that activated the process, if any.
`G_BUS_TYPE_NONE` | Not a message bus.
`G_BUS_TYPE_SYSTEM` | The system-wide message bus.
`G_BUS_TYPE_SESSION` | The login session message bus.